avro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Doug Cutting (JIRA)" <j...@apache.org>
Subject [jira] Updated: (AVRO-240) For Python 2.6 and above, use "json" module from stdlib instead of simplejson
Date Tue, 01 Dec 2009 21:43:20 GMT

     [ https://issues.apache.org/jira/browse/AVRO-240?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Doug Cutting updated AVRO-240:
------------------------------

       Resolution: Fixed
    Fix Version/s: 1.3.0
     Hadoop Flags: [Reviewed]
           Status: Resolved  (was: Patch Available)

I just committed this.  Thanks, Jeff.

> For Python 2.6 and above, use "json" module from stdlib instead of simplejson
> -----------------------------------------------------------------------------
>
>                 Key: AVRO-240
>                 URL: https://issues.apache.org/jira/browse/AVRO-240
>             Project: Avro
>          Issue Type: Improvement
>          Components: python
>            Reporter: Jeff Hammerbacher
>            Assignee: Jeff Hammerbacher
>             Fix For: 1.3.0
>
>         Attachments: AVRO-240.patch
>
>
> As described at http://bob.pythonmac.org/archives/2008/10/02/python-26-released-now-with-json/:
> # Use simplejson or Python 2.6 json, prefer simplejson.
> try:
>     import simplejson as json
> except ImportError:
>     import json

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message